# Class CIM_IKEAction
extends CIM_SANegotiationAction

IKEAction specifies the parameters to use for an IPsec IKE phase 1 negotiation.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Policy
|
+--CIM_PolicyAction
|
+--CIM_SAAction
|
+--CIM_SANegotiationAction
|
+--CIM_IKEAction

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | IKEAction specifies the parameters to use for an IPsec IKE phase 1 negotiation.
MappingStrings | string | IPSP Policy Model.IETF|IKEAction
UMLPackagePath | string | CIM::IPsecPolicy
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AggressiveModeGroupID | uint16 |

Description

string

When IKEAction.ExchangeMode is set to "Aggressive" (4), this property specifies the key exchange groupID to use in the first packets of the phase 1 negotiation. This property is ignored unless the ExchangeMode is 'aggressive'. If the GroupID number is from the vendor- specific range (32768-65535), the VendorID qualifies the group number. Well-known group identifiers from RFC2412, Appendix E, are: Group 1='768 bit prime', Group 2='1024 bit prime', Group 3='Elliptic Curve Group with 155 bit field element', Group 4='Large Elliptic Curve Group with 185 bit field element', and Group 5='1536 bit prime'.

MappingStrings | string | IPSP Policy Model.IETF|IKEAction.AggressiveModeGroupID, RFC2412.IETF|Appendix E
ModelCorrespondence | string | CIM_IKEAction.VendorID
ValueMap | string | 0, 1, 2, 3, 4, 5, .., 0x8000..
Values | string | No Group/Non-Diffie-Hellman Exchange, DH-768 bit prime, DH-1024 bit prime, EC2N-155 bit field element, EC2N-185 bit field element, DH-1536 bit prime, Standard Group - Reserved, Vendor Reserved
ExchangeMode | uint16 |
Description | string | The ExchangeMode designates the mode IKE should use for its key negotiations.
MappingStrings | string | IPSP Policy Model.IETF|IKEAction.ExchangeMode
ValueMap | string | 2, 3, 4
Values | string | Base, Main, Aggressive
UseIKEIdentityType | uint16 |
Description | string | UseIKEIdentityType specifies what network identity type should be used when negotiating with the peer. It is used in conjunction with the available IPNetworkIdentity instances, that are associated with an IPProtocolEndpoint.
MappingStrings | string | IPSP Policy Model.IETF|IKEAction.UseIKEIdentityType, RFC2407.IETF|Section 4.6.2.1
ModelCorrespondence | string | CIM_IPNetworkIdentity.IdentityType
ValueMap | string | 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, .., 0x8000..
Values | string | Other, IPV4 Address, FQDN, User FQDN, IPV4 Subnet Address, IPV6 Address, IPV6 Subnet Address, IPV4 Address Range, IPV6 Address Range, DER ASN1 DN, DER ASN1 GN, KEY ID, DMTF Reserved, Vendor Reserved
VendorID | string |
Description | string | VendorID specifies the value to be used in the Vendor ID payload. An empty string (the default) means that the Vendor ID payload will not be generated or accepted. A non-NULL value means that a Vendor ID payload will be generated (when acting as an initiator) or is expected (when acting as a responder).
MappingStrings | string | IPSP Policy Model.IETF|IKEAction.VendorID

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommonName | string | CIM_Policy
CreationClassName | string | CIM_PolicyAction
Description | string | CIM_ManagedElement
DoActionLogging | boolean | CIM_PolicyAction
DoPacketLogging | boolean | CIM_SAAction
ElementName | string | CIM_ManagedElement
IdleDurationSeconds | uint64 | CIM_SANegotiationAction
InstanceID | string | CIM_ManagedElement
MinLifetimeKilobytes | uint64 | CIM_SANegotiationAction
MinLifetimeSeconds | uint64 | CIM_SANegotiationAction
PolicyActionName | string | CIM_PolicyAction
PolicyRuleCreationClassName | string | CIM_PolicyAction
PolicyRuleName | string | CIM_PolicyAction
SystemCreationClassName | string | CIM_PolicyAction
SystemName | string | CIM_PolicyAction
PolicyKeywords | string[] | CIM_Policy

## Class Methods